without Windows 3.0?

Topics: User Forum
May 15, 2009 at 2:57 AM

you use System.IO.Packaging from windows 3.0, it's convenient, less code, but it requires end users to install .net 3.0, what about using DotNetZip from http://dotnetzip.codeplex.com/ ?

May 15, 2009 at 3:50 PM

I have to say I hardly think it's worth the rework... .NET 3.0 came out nearly 3 years ago and is built into Vista and 7.  That being said, if you work up a patch and submit it over at the ExML project, it very well could be integrated.

May 18, 2009 at 6:40 AM

If you've got .Net Framework 2.0 installed all you need to do is to distrubute the WindowsBase.dll with your application. That solved the problem of installing .Net Framework 3.